/** \file IAtlFileInfo
 * Header for the IAtlFileInfo interface
 *
 * \author Abvent R&D Copyright (c) 2012
 * \author Richard Young
 * \date 01/04/2012
 */

#ifndef IAtlFileInfo_h
#define IAtlFileInfo_h


#ifndef CAtlVector_h
	#include "CAtlVector.h"
#endif


// We use this namespace for our library.
namespace  AvAtl {


/// Interface for file information
/** \interface IAtlFileInfo 
 * This class is used for information on the file
 *
 * \author Abvent R&D Copyright (c) 2012
 * \author Richard Young
 * \date 01/04/2012
 */
class IAtlFileInfo
{
protected:
	/** Illegal to delete this object */
								~IAtlFileInfo() {}

public:
	/// The origin of the model (Used for fusion)
	/** Some exporter have an origin to a referential as Gauss-Krüger, Lambert... */
	virtual const CAtlVector&	getOrigin() const = 0;
	virtual void				setOrigin(const CAtlVector& inOrigin) = 0;
};


class IAtlFileInfo2: public IAtlFileInfo
{
protected:
	/** Illegal to delete this object */
								~IAtlFileInfo2() {}
	
public:
	/// Use this to delete this object.
	virtual void				destroy() = 0;
};
	

} // namespace  AvAtl

#endif
