/**
 \file IRootNode.h
 
 Interface class for leaf TCE node.
 
 \verbatim
 
 File			:	IRootNode.h
 Author			:	Richard Young
 Creation date	:	28/04/2001
 Description	:	The interface IRootNode is the class for root of tce tree.
 
 Modifications	:
 
 \endverbatim
 */


#ifndef IRootNode_h
#define IRootNode_h


namespace AvAtl{


// Forward declarations.
class ITCENode;


/// The interface IRootNode is the class for root of tce tree
/** \interface IRootNode
 *
 * \author Abvent R&D Copyright (c) 2001
 * \author Richard Young
 * \version 1.0
 * \date 28/04/2001
 */
class IRootNode
{
public:
	// For ATL library internal usage only.
#ifdef ITCENode_h
	enum { mType = ITCENode::eRootNode };
#endif

	// Return the node of this Root
	virtual const ITCENode*		asNode() const = 0;
	virtual ITCENode*			asNode() = 0;

	// Send a warning message to programmers.
	virtual void				warning(AvAtl::tUtf8 msg) = 0;

protected:
	// Don't delete, use node refcount
								~IRootNode() {};
};


} // namespace  AvAtl

#endif
